#ifndef ____REGRESSIONLINEAIRE____
#define ____REGRESSIONLINEAIRE____

class RegressionLineaire {

  public :
    double *x;
    double *y;
    
  private :
    int sz;
    int sp;

  public :
    RegressionLineaire(void);
    RegressionLineaire(int sz);
    ~RegressionLineaire(void);
    int add(double v1,double v2);
    int nombreValeurs(void);
    double getCoefficientDirecteur(void);
    double getZeroOrigine(void);
    double getCoefficientCorrelationLineaire(void);
    void getCoefficients(double *cd,double *zo,double *cc);
    int nombreValeurs(double min,double max);
    double getCoefficientDirecteur(double min,double max);
    double getZeroOrigine(double min,double max);
    double getCoefficientCorrelationLineaire(double min,double max);
    void getCoefficients(double min,double max,double *cd,double *zo,double *cc);
    void reinitialisation(void);
};

#endif
